Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.loaders
Class TigerRefgClassDescrLoader

    java.lang.Object
      com.sun.tdk.signaturetest.loaders.TigerRefgClassDescrLoader

All Implemented Interfaces:
  ClassDescriptionLoader, LoadingHints

Direct Known Subclasses:
  J8RefLoader

    public class TigerRefgClassDescrLoader

extends java.lang.Object
implements ClassDescriptionLoader, LoadingHints

This is J2SE 1.5 (Tiger) loader

Nested Class Summary

Nested classes/interfaces inherited from interface com.sun.tdk.signaturetest.loaders.LoadingHints
`LoadingHints.Hint`

Field Summary
`static I18NResourceBundle` | `i18n`

Fields inherited from interface com.sun.tdk.signaturetest.loaders.LoadingHints
`DONT_READ_VALUES, READ_ANY_ANNOTATIONS, READ_BRIDGE, READ_SYNTETHIC`

Constructor Summary
`TigerRefgClassDescrLoader()`
`TigerRefgClassDescrLoader(java.lang.ClassLoader l)`

Method Summary
`void` | `addLoadingHint(LoadingHints.Hint hint)`
`ClassDescription` | `load(java.lang.String name)`
`void` | `setLog(java.io.PrintWriter log)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### i18n

    public static final I18NResourceBundle i18n

Constructor Detail

### TigerRefgClassDescrLoader

    public TigerRefgClassDescrLoader()

### TigerRefgClassDescrLoader

    public TigerRefgClassDescrLoader(java.lang.ClassLoader l)

Method Detail

### load

    public ClassDescription load(java.lang.String name)
                          throws java.lang.ClassNotFoundException

  Specified by:
    `load` in interface `ClassDescriptionLoader`
  Throws:
    `java.lang.ClassNotFoundException`

### addLoadingHint

    public void addLoadingHint(LoadingHints.Hint hint)

  Specified by:
    `addLoadingHint` in interface `LoadingHints`

### setLog

    public void setLog(java.io.PrintWriter log)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD